Skip to main content

Get Mediator CDRs

This request returns a list of call detail records related to the Mediator endpoint.

get /app/mediator/calls

Sample​

A sample GET request to get the Mediator endpoint call detail records matching the criteria in the request URL:

curl -X GET \
'https://api.carrierx.com/core/v2/app/mediator/calls' \
-H 'Authorization: Bearer 5ebc03d6-8b2b-44ad-bf65-72d4f1491dda'

Response​

200 status code with a list of Mediator Call Detail Record objects:

{
"count": 1,
"has_more": false,
"items": [
{
"attributes": {
"hide_origination_did": "true"
},
"date_insert": "2024-10-09T10:15:01.000Z",
"date_start": "2024-10-09T10:12:28.000Z",
"date_stop": "2024-10-09T10:12:43.000Z",
"date_talk": "2024-10-09T10:12:32.000Z",
"direction": "outbound",
"dr_sid": "2ce7599c-8391-4cc2-8e06-7b832f110e48",
"dtmf": null,
"duration": "15",
"endpoint_sid": "d59fbc20-3fda-4624-b58b-a8a4ef64b0a8",
"endpoint_type": "mediator",
"event_type": "dialout",
"number_dst": "14437317761",
"number_redirect": "15162065919",
"number_src": "12029021281",
"partner_sid": "cee93bf3-5746-43fe-a1a2-822c05fef687",
"reference_sid": "89b3ef2c-222b-4bd7-bc46-084021e5a770",
"type": "mediator",
"version": 2
}
],
"limit": 10,
"offset": 0,
"pagination": {},
"total": null
}

This request is enabled for Pagination, Result Filtering, and Field Filtering.

Required Scopes​

To get information about Mediator Call Detail Record objects, the partner must have one of the following scopes enabled:

  • app.manage
  • app.read

To view information about Mediator Call Detail Record objects for the inherited partner, the partner must additionally have the app.read_descendant scope enabled.